Множественные уязвимости в FlexPHPLink Pro

Дата публикации:
31.12.2008
Дата изменения:
31.12.2008
Всего просмотров:
2220
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FlexPHPLink Pro 0.x
Уязвимые версии: FlexPHPLink Pro 0.0.7 и более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "checkuser" и "checkpass" в сценарии admin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной проверки типов загружаемых изображений в сценарии "submitlink.php". Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

URL производителя: www.china-on-site.com/flexphplink/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Flexphplink Pro Arbitrary File Upload Exploit
http://milw0rm.com/exploits/7616

или введите имя

CAPTCHA